NunchuckCalibrationData
Keywords: wiiremotej.NunchuckCalibrationData class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class NunchuckCalibrationData

    java.lang.Object
      wiiremotej.NunchuckCalibrationData

    public class NunchuckCalibrationData

extends java.lang.Object

Contains calibration data for use in WRNunchuckExtensionEvents.

Constructor Summary
`NunchuckCalibrationData(double xZero, double yZero, double zZero, double xOne, double yOne, double zOne, double analogXMaximum, double analogXMinimum, double analogXCenter, double analogYMaximum, double analogYMinimum, double analogYCenter)` Creates new NunchuckCalibrationData with the given data.

Method Summary
`double` | `analogXCenter()` Returns analogXCenter.
`double` | `analogXMaximum()` Returns analogXMaximum.
`double` | `analogXMinimum()` Returns analogXMinimum.
`double` | `analogYCenter()` Returns analogYCenter.
`double` | `analogYMaximum()` Returns analogYMaximum.
`double` | `analogYMinimum()` Returns analogYMinimum.
`double` | `xOne()` Returns xOne.
`double` | `xZero()` Returns xZero.
`double` | `yOne()` Returns yOne.
`double` | `yZero()` Returns yZero.
`double` | `zOne()` Returns zOne.
`double` | `zZero()` Returns zZero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NunchuckCalibrationData

    public NunchuckCalibrationData(double xZero,
                                   double yZero,
                                   double zZero,
                                   double xOne,
                                   double yOne,
                                   double zOne,
                                   double analogXMaximum,
                                   double analogXMinimum,
                                   double analogXCenter,
                                   double analogYMaximum,
                                   double analogYMinimum,
                                   double analogYCenter)

  Creates new NunchuckCalibrationData with the given data.

  Parameters:
    `xZero` - zero-point for X-Acceleration.
    `yZero` - zero-point for Y-Acceleration.
    `zZero` - zero-point for Z-Acceleration.
    `xOne` - one G for X-Acceleration.
    `yOne` - one G for Y-Acceleration.
    `zOne` - one G for Z-Acceleration.
    `analogXMaximum` - maximum value for analog stick X-axis.
    `analogXMinimum` - minimum value for analog stick X-axis.
    `analogXCenter` - center value for analog stick X-axis.
    `analogYMaximum` - maximum value for analog stick Y-axis.
    `analogYMinimum` - minimum value for analog stick Y-axis.
    `analogYCenter` - center value for analog stick Y-axis.

Method Detail

### analogXCenter

    public double analogXCenter()

  Returns analogXCenter.

  Returns:
    analogXCenter.

### analogXMaximum

    public double analogXMaximum()

  Returns analogXMaximum.

  Returns:
    analogXMaximum.

### analogXMinimum

    public double analogXMinimum()

  Returns analogXMinimum.

  Returns:
    analogXMinumum.

### analogYCenter

    public double analogYCenter()

  Returns analogYCenter.

  Returns:
    analogYCenter.

### analogYMaximum

    public double analogYMaximum()

  Returns analogYMaximum.

  Returns:
    analogYMaximum.

### analogYMinimum

    public double analogYMinimum()

  Returns analogYMinimum.

  Returns:
    analogYMinumum.

### xZero

    public double xZero()

  Returns xZero.

  Returns:
    xZero.

### yZero

    public double yZero()

  Returns yZero.

  Returns:
    yZero.

### zZero

    public double zZero()

  Returns zZero.

  Returns:
    zZero.

### xOne

    public double xOne()

  Returns xOne.

  Returns:
    xOne.

### yOne

    public double yOne()

  Returns yOne.

  Returns:
    yOne.

### zOne

    public double zOne()

  Returns zOne.

  Returns:
    zOne.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD